/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/22 12:06
 * Description:缺陷实体扩展
 */
package com.emr.entity;


import java.math.BigDecimal;

public class Emr_Fault_Vo {
    private Integer id;

    private String archiveDetailId;

    private String assortId;

    private Integer parentId;

    private String content;

    private BigDecimal price;

    private BigDecimal score;

    private String backContent;

    private String firstTrial;

    private String state;

    private String recallReason;

    private String creater;

    private String createTime;

    private String updater;

    private String updateTime;

    private String assortName;

    private String backFlag;

    private String inpNo;

    private String visitId;

    private String name;

    private String deptName;

    private String dischargeDateTime;

    private String archivestate;

    private String startDate;

    private String endDate;

    private String admissionDateTime;

    private String deptAdmissionTo;

    private String sex;

    private String idNo;

    private String dischargeDisposition;

    private String startDateTo;

    private String endDateTo;

    private int cmtDoctor;

    private int cmtNurse;

    private String dealFlag;

    private String dealPerson;

    private String dealTime;

    private String archiveState;

    private String typeName;

    private String doctorInCharge;

    private BigDecimal minusPoint;

    private String backTime;

    public String getBackTime() {
        return backTime;
    }

    public void setBackTime(String backTime) {
        this.backTime = backTime;
    }

    public BigDecimal getMinusPoint() {
        return minusPoint;
    }

    public void setMinusPoint(BigDecimal minusPoint) {
        this.minusPoint = minusPoint;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getDoctorInCharge() {
        return doctorInCharge;
    }

    public void setDoctorInCharge(String doctorInCharge) {
        this.doctorInCharge = doctorInCharge;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getArchiveDetailId() {
        return archiveDetailId;
    }

    public void setArchiveDetailId(String archiveDetailId) {
        this.archiveDetailId = archiveDetailId == null ? null : archiveDetailId.trim();
    }

    public String getAssortId() {
        return assortId;
    }

    public void setAssortId(String assortId) {
        this.assortId = assortId == null ? null : assortId.trim();
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public String getBackContent() {
        return backContent;
    }

    public void setBackContent(String backContent) {
        this.backContent = backContent == null ? null : backContent.trim();
    }

    public String getFirstTrial() {
        return firstTrial;
    }

    public void setFirstTrial(String firstTrial) {
        this.firstTrial = firstTrial == null ? null : firstTrial.trim();
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getRecallReason() {
        return recallReason;
    }

    public void setRecallReason(String recallReason) {
        this.recallReason = recallReason == null ? null : recallReason.trim();
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime == null ? null : createTime.trim();
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater == null ? null : updater.trim();
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime == null ? null : updateTime.trim();
    }

    public String getInpNo() {
        return inpNo;
    }

    public void setInpNo(String inpNo) {
        this.inpNo = inpNo == null ? null : inpNo.trim();
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId == null ? null : visitId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName == null ? null : deptName.trim();
    }

    public String getDischargeDateTime() {
        return dischargeDateTime;
    }

    public void setDischargeDateTime(String dischargeDateTime) {
        this.dischargeDateTime = dischargeDateTime == null ? null : dischargeDateTime.trim();
    }

    public String getArchivestate() {
        return archivestate;
    }

    public void setArchivestate(String archivestate) {
        this.archivestate = archivestate == null ? null : archivestate.trim();
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate == null ? null : startDate.trim();
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate == null ? null : endDate.trim();
    }

    public String getAdmissionDateTime() {
        return admissionDateTime;
    }

    public void setAdmissionDateTime(String admissionDateTime) {
        this.admissionDateTime = admissionDateTime == null ? null : admissionDateTime.trim();
    }

    public String getDeptAdmissionTo() {
        return deptAdmissionTo;
    }

    public void setDeptAdmissionTo(String deptAdmissionTo) {
        this.deptAdmissionTo = deptAdmissionTo == null ? null : deptAdmissionTo.trim();
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex == null ? null : sex.trim();
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo == null ? null : idNo.trim();
    }

    public String getDischargeDisposition() {
        return dischargeDisposition;
    }

    public void setDischargeDisposition(String dischargeDisposition) {
        this.dischargeDisposition = dischargeDisposition == null ? null : dischargeDisposition.trim();
    }

    public String getStartDateTo() {
        return startDateTo;
    }

    public void setStartDateTo(String startDateTo) {
        this.startDateTo = startDateTo == null ? null : startDateTo.trim();
    }

    public String getEndDateTo() {
        return endDateTo;
    }

    public void setEndDateTo(String endDateTo) {
        this.endDateTo = endDateTo == null ? null : endDateTo.trim();
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getBackFlag() {
        return backFlag;
    }

    public void setBackFlag(String backFlag) {
        this.backFlag = backFlag == null ? null : backFlag.trim();
    }

    public String getAssortName() {
        return assortName;
    }

    public void setAssortName(String assortName) {
        this.assortName = assortName == null ? null : assortName.trim();;
    }

    public int getCmtDoctor() {
        return cmtDoctor;
    }

    public void setCmtDoctor(int cmtDoctor) {
        this.cmtDoctor = cmtDoctor;
    }

    public int getCmtNurse() {
        return cmtNurse;
    }

    public void setCmtNurse(int cmtNurse) {
        this.cmtNurse = cmtNurse;
    }

    public String getDealFlag() {
        return dealFlag;
    }

    public void setDealFlag(String dealFlag) {
        this.dealFlag = dealFlag == null ? null : dealFlag.trim();
    }

    public String getDealPerson() {
        return dealPerson;
    }

    public void setDealPerson(String dealPerson) {
        this.dealPerson = dealPerson == null ? null : dealPerson.trim();
    }

    public String getDealTime() {
        return dealTime;
    }

    public void setDealTime(String dealTime) {
        this.dealTime = dealTime == null ? null : dealTime.trim();
    }

    public String getArchiveState() {
        return archiveState;
    }

    public void setArchiveState(String archiveState) {
        this.archiveState = archiveState;
    }
}
 

